Bug 1011254 - Could not reserve enough space for object heap during the default jon3.2.ER1 server installation on solaris 11
Could not reserve enough space for object heap during the default jon3.2.ER1 ...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Installer (Show other bugs)
JON 3.2
x86_64 Solaris
high Severity high
: ER01
: JON 3.3.0
Assigned To: RHQ Project Maintainer
Sunil Kondkar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 18:22 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 09:04:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Server Log (707.48 KB, text/plain)
2014-08-28 08:01 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Armine Hovsepyan 2013-09-23 18:22:37 EDT
Description of problem:
Could not reserve enough space for object heap during the default jon3.2.ER1 server installation on solaris 11

Version-Release number of selected component (if applicable):
JON 3.2.ER1

How reproducible:
always

Steps to Reproduce:
1. install rhq server with default java opts (for heap space)
2.
3.

Actual results:
Could not reserve enough space for object heap exception -> http://pastebin.test.redhat.com/165663

Expected results:
server is installed without exceptions 
Either java_opts should be changed automatically or values of heap space and heap max space should be less than (or equals to) 64m

Additional info:
environment: SunOS solaris11 5.11 11.1 i86pc i386 i86pc
Comment 2 Simeon Pinder 2013-11-08 09:41:16 EST
Moving to unspecified target milestone as only JON 3.2.0 'blockers'(https://url.corp.redhat.com/bz-jon32-blockers-list-notmodified-nodocs) will make it into subsequent builds after ER5.
Comment 4 Jay Shaughnessy 2014-08-26 10:11:47 EDT
Not sure how this made it out of 3.2.  But I think now we must re-test this on 3.3 asap.
Comment 5 Sunil Kondkar 2014-08-28 07:59:09 EDT
Verified on Version : 3.3.0.ER01 Build Number :	23b3476:f3aa7e7

Solaris version: SunOS solaris11 5.11 11.1 i86pc i386 i86pc

The default installation was successful without exceptions. The server.log is attached for reference.

Did some smoke testing: 
installation, discovery, import is successful.
Sigar prompt: The commands - version, cpuinfo, iostat works as expected.
EAP6 is installed, discovered and imported. The stop/start/restart operations on EAP6 resource executed successfully.
Comment 6 Sunil Kondkar 2014-08-28 08:01:30 EDT
Created attachment 931911 [details]
Server Log

Note You need to log in before you can comment on or make changes to this bug.